package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 消息通知表
 * </p>
 *
 * @author xuefy
 * @since 2021-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_notice")
public class SysNotice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消息ID
     */
    @TableId("notice_id")
    private String noticeId;

    /**
     * 公司id
     */
    @TableField("company_id")
    private String companyId;

    /**
     * 关联表主键
     */
    @TableField("table_id")
    private String tableId;

    /**
     * 公告标题
     */
    @TableField("notice_title")
    private String noticeTitle;

    /**
     * 00:待办,01:消息提醒
     */
    @TableField("type")
    private String type;

    /**
     * 消息提醒类型(00:平台欢迎信, 01:发起人审批结果通知, 02:经办人的平台审批结果通知, 03:融资企业经办人融信失效消息通知, 04:融资企业经办人融信生效消息通知)
     */
    @TableField("notice_type")
    private String noticeType;

    /**
     * 待办类型:(00:融信审批待审批, 01:审批拒绝待编辑, 02:核心企业待确权, 03:待盖章, 04:待签收, 05:待融资, 06:待还款)
     */
    @TableField("work_type")
    private String workType;

    /**
     * 状态（0待办 1已办）
     */
    @TableField("status")
    private String status;

    /**
     * 是否短信提醒(0:不提醒, 1:提醒)
     */
    @TableField("message_send")
    private String messageSend;

    /**
     * 已发短信ID
     */
    @TableField("message_id")
    private String messageId;

    /**
     * 短信模板
     */
    @TableField("message_code")
    private String messageCode;

    /**
     * 短信发送状态（0:未发送 1:已发送）
     */
    @TableField("message_status")
    private String messageStatus;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;


}
