package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 合同模板表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_contract")
public class ZcFinanceContract implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zfc_id")
    private String zfcId;

    /**
     * 合同模板名称
     */
    @TableField("zfc_name")
    private String zfcName;

    /**
     * 合同类型
     */
    @TableField("zfc_type")
    private String zfcType;

    /**
     * 资金渠道(sys_company.scy_id)
     */
    @TableField("zfc_management_id")
    private String zfcManagementId;

    /**
     * 签署主体
     */
    @TableField("zfc_subject")
    private String zfcSubject;

    /**
     * 签署节点
     */
    @TableField("zfc_node")
    private String zfcNode;
    /**
     * 盖章关键字
     */
    @TableField("zfc_sign_keyword")
    private String zfcSignKeyword;

    /**
     * 合同描述
     */
    @TableField("zfc_desc")
    private String zfcDesc;

    /**
     * 附件(pub_file_inf.pfi_file_id)
     */
    @TableField("zfc_file")
    private String zfcFile;

    /**
     * 合同状态
     */
    @TableField("zfc_status")
    private String zfcStatus;

    /**
     * 备用字段1
     */
    @TableField("zfc_profit_spare1")
    private String zfcProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zfc_profit_spare2")
    private String zfcProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zfc_profit_spare3")
    private String zfcProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zfc_profit_spare4")
    private String zfcProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zfc_profit_spare5")
    private String zfcProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zfc_profit_spare6")
    private String zfcProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zfc_profit_spare7")
    private String zfcProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zfc_profit_spare8")
    private String zfcProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zfc_profit_spare9")
    private String zfcProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
