package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 发票地址表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_invoice_address")
public class ZcInvoiceAddress implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zia_id")
    private String ziaId;

    /**
     * 企业id(sys_company.scy_id)
     */
    @TableField("zia_company_id")
    private String ziaCompanyId;

    /**
     * 收件地址
     */
    @TableField("zia_address")
    private String ziaAddress;

    /**
     * 联系人
     */
    @TableField("zia_contacts")
    private String ziaContacts;

    /**
     * 联系人电话
     */
    @TableField("zia_contacts_phone")
    private String ziaContactsPhone;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
