package com.huyi.task.base.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huyi.task.base.entity.SysDept;
import com.huyi.task.base.mapper.SysDeptMapper;
import com.huyi.task.base.service.ISysDeptService;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * ClassName: SysDeptServiceImpl<br>
 * Description: ISysDeptService实现 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-01  cuixq    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class SysDeptServiceImpl extends ServiceImpl<SysDeptMapper, SysDept> implements ISysDeptService {

    @Autowired
    private SysDeptMapper sysDeptMapper;

    @Override
    public IPage<SysDept> findSysDepts(QueryRequest request, LambdaQueryWrapper<SysDept> wrapper) {
        Page<SysDept> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<SysDept> findSysDepts(LambdaQueryWrapper<SysDept> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createSysDept(SysDept sysDept) {
        this.save(sysDept);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateSysDept(SysDept sysDept) {
        this.saveOrUpdate(sysDept);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteSysDept(LambdaQueryWrapper<SysDept> wrapper) {
	    this.remove(wrapper);
	}
}
