package com.huyi.task.base.service.impl;

import com.huyi.task.base.entity.SysDictData;
import com.huyi.task.base.mapper.SysDictDataMapper;
import com.huyi.task.base.service.ISysDictDataService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: SysDictDataServiceImpl<br>
 * Description: ISysDictDataService实现 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-10  cuixq    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService {

    @Autowired
    private SysDictDataMapper sysDictDataMapper;

    @Override
    public IPage<SysDictData> findSysDictDatas(QueryRequest request, LambdaQueryWrapper<SysDictData> wrapper) {
        Page<SysDictData> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<SysDictData> findSysDictDatas(LambdaQueryWrapper<SysDictData> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createSysDictData(SysDictData sysDictData) {
        this.save(sysDictData);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateSysDictData(SysDictData sysDictData) {
        this.saveOrUpdate(sysDictData);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteSysDictData(LambdaQueryWrapper<SysDictData> wrapper) {
	    this.remove(wrapper);
	}
}
